journal_dirty_metadata
Prev | Transasction Level | Next

## Name

journal_dirty_metadata — mark a buffer as containing dirty metadata

## Synopsis

`int journal_dirty_metadata (` | handle_t * | handle,
| struct buffer_head * | bh`)`;

## Arguments

`handle`

  transaction to add buffer to.

`bh`

  buffer to mark

## Description

mark dirty metadata which needs to be journaled as part of the current transaction.

The buffer is placed on the transaction's metadata list and is marked as belonging to the transaction.

Returns error number or 0 on success.

Special care needs to be taken if the buffer already belongs to the current committing transaction (in which case we should have frozen data present for that commit). In that case, we don't relink the

## buffer

that only gets done when the old transaction finally completes its commit.

Prev | Up | Next
journal_dirty_data | Home | journal_forget